Tenable Security Center API: Feed

/feed

Methods

GET

Gets the status of feed uploads.

Request Parameters

None

Example Response
Expand
{
	"type" : "regular",
	"response" : {
        "sc": {
            "updateTime": "1753973881",
            "stale": "false",
            "updateRunning": "false",
            "subscriptionStatus": "Valid"
        },
        "active": {
            "updateTime": "1753974033",
            "stale": "false",
            "updateRunning": "false",
            "subscriptionStatus": "Valid"
        },
        "passive": {
            "updateTime": "1733270893",
            "stale": "false",
            "updateRunning": "false",
            "subscriptionStatus": "Unconfigured"
        },
        "was": {
            "updateTime": "1753973797",
            "stale": "false",
            "updateRunning": "false",
            "subscriptionStatus": "Valid"
        },
        "tvdl": {
            "updateTime": "0",
            "stale": "true",
            "updateRunning": "false",
            "subscriptionStatus": "Unconfigured"
        }
	},
    "error_code": 0,
    "error_msg": "",
    "warnings": [],
    "timestamp": 1753996477
}

/feed/{type}

Methods

GET

Gets the status of feed the upload associated with <type>

NOTE: {type} can be one of “sc”, "active", "passive", “was”, or "tvdl". “all” is not suppported.

Request Parameters

None

Example Response
Expand
{
    "type": "regular",
    "response": {
        "updateTime": "1753973881",
        "stale": "false",
        "subscriptionStatus": "Valid",
        "updateRunning": "false"
    },
    "error_code": 0,
    "error_msg": "",
    "warnings": [],
    "timestamp": 1753997612
}

/feed/{type}/update

Methods

POST

Sends a job to update the Feed type associated with <type>

NOTE: {type} can be one of “sc”, "active", "passive", "was", or "tvdl"

Request Parameters
Expand
{
	"id" : <string>
}
Example Response
Expand
{
    "type": "regular",
    "response": "",
    "error_code": 0,
    "error_msg": "",
    "warnings": [],
    "timestamp": 1753997985
}

/feed/{type}/process

Methods

POST

Processes an uploaded feed update file and sends a job to update the Feed type associated with <type>

NOTE: {type} can be one of “sc”, "active", "passive", "was", or "tvdl"

Request Parameters
Expand
{
	"filename" : <string>
}
Example Response
Expand
{
    "type": "regular",
    "response": "",
    "error_code": 0,
    "error_msg": "",
    "warnings": [],
    "timestamp": 1753998978
}